
body {
    margin: 0 0 0 0;
    font-size: 1rem;
    font-family: "Roboto", "Noto", sans-serif;
    color: rgb(32, 32, 32)
}

/***************************************** page-header ********************************************/
.header {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    font-size: 1rem;
}
.title {
    text-decoration: none;
    letter-spacing: 5px;
    color: rgb(32, 32, 32);
    font-weight: 500;
    font-size: 1rem;
    line-height: 1rem; 
}
.bar{
    color: black;
    margin-top:1em;
}
.cart {
    position: absolute;
    right:1rem;
    text-decoration: none;
    color: rgb(32, 32, 32);
}
.back {
    position: absolute;
    left: 1rem;
    text-decoration: none;
    color: rgb(32, 32, 32);
}
nav {
    display: flex;
    font-size: 13px;
    justify-content: center;
    margin-bottom: px;
}
/********************************************** page-main-content **************************************/
.menu > a {
    color: rgb(32, 32, 32);
    text-decoration: none;
    font-weight: 500;
    padding: 20px 20px 15px 20px;
}
.product-desription {
    display: flex;
}
.price {
    color: gray;
    font-size: 0.8rem;
    margin-bottom: 2rem;
} 
p, li {
    color: gray;
    font-size: 0.8rem;
}
.size, .quantity{
    outline: none;
    position: relative;
    width: 100%;
    height: 4rem;
    display: flex;
    justify-content: flex-start;
}
.product-quantity, .product-size {
    align-self: center;
} 
.select-size, .select-quantity {
    outline: none;
    position: absolute;
    align-self: center;
    height: 4rem;
    width: 100%;
    background: rgba(255, 255, 255, 0.5);
    text-indent: 25%;
    border: 0;
}
.quantity {
    border-top: 1px solid gray;
    border-bottom: 1px solid gray;
}
.size {
    border-top: 1px solid gray;
} 
/************************************************ page-footer ****************************************/
.footer{
    display: flex;
    flex-direction: column;
    align-items: center;
    position: relative;
    height: 5rem;
    font-size: 0.7rem;
    color: gray
}
.footer > h3{
    top: 0;
    position: absolute;
}
.demo{
    position: absolute;
    bottom: 0;
    padding:1rem 1.2rem 1rem 1.2rem;
    height: 3rem;
    text-align: center;
    font-weight: 500;
    font-size: 1rem;
    background-color: rgb(115,115,115);
    color: white;
}
.footer {
    display: none;
}
/******************************************* media-query(small-screen) *********************************/
@media only screen and (max-width: 700px) {
    nav {
        display: none;
    }
    .product-image{
        max-width: 100%;
    }
    .product{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .product-description{
        margin: 1rem;
        margin-bottom: 1rem;
        height: 600px;
    }
    .add-to-cart-button{
        width: 100%;
        text-decoration: none;
        color: white;
        border-style: solid;
        border-color: #172C50;
        height: 4rem;
        background-color: #172C50;
        text-align: center;
        font-size: 1rem;
        font-weight: 600;
        position: fixed;
        bottom: 0;
    }
    .add-to-cart-button a {
        text-decoration: none;
        color: white;
    }
}
@media only screen and (min-width: 700px) {
    .bar {
        display: none;
    }
    main{
        display: flex;
    }
    .product{
        max-width: 50%;
        float: left;
        height: 100%;
        padding:1rem 0.5rem 0 5rem;
    }
    .product-image{
        float: left;
        height: auto;
        max-width: 100%
    }
    .details{
        max-width: 50%;
        margin: 1rem;
        height: auto;
    }
    .add-to-cart-button{
        background-color: rgb(255, 255, 255);
        border-style: solid;
        font-family: "Roboto", "Noto", sans-serif;
        border-color: rgb(32, 32, 32);
        font-size: 1rem;
        padding: 0.5em 1.8em;
    }
    .add-to-cart-button a {
        text-decoration: none;
        color: rgb(32, 32, 32);
    }
    .add-to-cart-button:active {
        background-color: black;
        color: white;
    }
}
@media only screen and (min-width: 1000px){
    body{
        margin: 1px 1px 1px 1px;
    }
}